package com.meas.system.service;

import java.util.List;

import com.meas.system.domain .MeasAngle;

/**
 * 角度Service接口
 *
 * @author Allen
 * @date 2024-07-24
 */
public interface IMeasAngleService {
    /**
     * 查询角度
     *
     * @param id 角度主键
     * @return 角度
     */
    public MeasAngle selectMeasAngleById(Long id);

    /**
     * 查询角度列表
     *
     * @param measAngle 角度
     * @return 角度集合
     */
    public List<MeasAngle> selectMeasAngleList(MeasAngle measAngle);

    /**
     * 新增角度
     *
     * @param measAngle 角度
     * @return 结果
     */
    public int insertMeasAngle(MeasAngle measAngle);

    /**
     * 修改角度
     *
     * @param measAngle 角度
     * @return 结果
     */
    public int updateMeasAngle(MeasAngle measAngle);

    /**
     * 批量删除角度
     *
     * @param ids 需要删除的角度主键集合
     * @return 结果
     */
    public int deleteMeasAngleByIds(Long[] ids);

    /**
     * 删除角度信息
     *
     * @param id 角度主键
     * @return 结果
     */
    public int deleteMeasAngleById(Long id);

    List<Integer> getOption();
}
